> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prelude.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Get password compliancy rules

> Retrieve the password compliancy requirements for the application.



## OpenAPI

````yaml get /v1/session/password/compliancy
openapi: 3.1.1
info:
  title: Prelude Auth Frontend API
  version: 0.0.1
  description: The Prelude Frontend API for Authentication and Session Management
  contact:
    email: support@prelude.so
servers:
  - url: https://{appId}.session.prelude.dev
    description: Production server
    variables:
      appId:
        default: changeme
        description: The appID
security: []
tags:
  - name: Login OTP
    description: Login and step-up via OTP (phone or email)
  - name: Login Email Password
    description: Login via email and password
  - name: Login OAuth
    description: Login via OAuth providers
  - name: Login Finalize
    description: Finalize a login flow and create a session
  - name: Login Migration
    description: Migrate sessions from a legacy authentication system
  - name: Session
    description: Session refresh and revocation
  - name: Session Management
    description: Authenticated session and identifier management
  - name: Step-Up
    description: Step-up authentication flow
  - name: Well-Known
    description: Public key discovery endpoints
  - name: Password
    description: Password compliancy and change password
paths:
  /v1/session/password/compliancy:
    get:
      tags:
        - Password
      summary: Get password compliancy rules
      description: Retrieve the password compliancy requirements for the application.
      operationId: getPasswordCompliancy
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PasswordCompliancyResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
        '500':
          description: Internal Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalError'
components:
  schemas:
    PasswordCompliancyResponse:
      type: object
      properties:
        min_length:
          type: integer
          description: Minimum password length
          examples:
            - 8
        max_length:
          type: integer
          description: Maximum password length
          examples:
            - 128
        uppercase:
          type: integer
          description: Minimum number of uppercase characters required
          examples:
            - 1
        lowercase:
          type: integer
          description: Minimum number of lowercase characters required
          examples:
            - 1
        numbers:
          type: integer
          description: Minimum number of numeric characters required
          examples:
            - 1
        symbols:
          type: integer
          description: Minimum number of symbol characters required
          examples:
            - 0
    BadRequestError:
      type: object
      properties:
        code:
          type: string
          enum:
            - bad_request
        type:
          type: string
          enum:
            - bad_request
    InternalError:
      type: object
      properties:
        code:
          type: string
          enum:
            - internal
        type:
          type: string
          enum:
            - internal

````